# ExtendedSupergroupChatImpl - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.chat.extended / ExtendedSupergroupChatImpl

# ExtendedSupergroupChatImpl

(common) `data class ExtendedSupergroupChatImpl : ExtendedSupergroupChat` (source)

### Constructors

(common)

#### <init>

`ExtendedSupergroupChatImpl(id: ChatId, title: String, username: Username? = null, chatPhoto: ChatPhoto? = null, permissions: ChatPermissions, description: String = "", inviteLink: String? = null, pinnedMessage: Message? = null, stickerSetName: StickerSetName? = null, slowModeDelay: Long? = null, canSetStickerSet: Boolean = false)`

### Properties

(common)

#### canSetStickerSet

`val canSetStickerSet: Boolean`

(common)

#### chatPhoto

`val chatPhoto: ChatPhoto?`

(common)

#### description

`val description: String`

(common)

#### id

`val id: ChatId`

(common)

#### inviteLink

`val inviteLink: String?`

(common)

#### permissions

`val permissions: ChatPermissions`

(common)

#### pinnedMessage

`val pinnedMessage: Message?`

(common)

#### slowModeDelay

`val slowModeDelay: Long?`

(common)

#### stickerSetName

`val stickerSetName: StickerSetName?`

(common)

#### title

`val title: String`

(common)

#### username

`val username: Username?`